# STXTransferOptions | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- STXTransferOptions

## Index

### Properties

- amount
- memo
- network
- nonce
- postConditionMode
- postConditions
- recipient

## Properties

### amount

amount: string

- Defined in packages/keychain/src/wallet/signer.ts:45

### Optional memo

memo: undefined | string

- Defined in packages/keychain/src/wallet/signer.ts:46

### Optional network

network: StacksNetwork

- Defined in packages/keychain/src/wallet/signer.ts:50

### nonce

nonce: number

- Defined in packages/keychain/src/wallet/signer.ts:47

### Optional postConditionMode

postConditionMode: PostConditionMode

- Defined in packages/keychain/src/wallet/signer.ts:49

### Optional postConditions

postConditions: PostCondition []

- Defined in packages/keychain/src/wallet/signer.ts:48

### recipient

recipient: string

- Defined in packages/keychain/src/wallet/signer.ts:44

Generated using TypeDoc